CIF_COMPARE_DICS(1)

NAME
cif_compare_dics - checks a pair of DDL1/DDLm dictionaries for compatibility breaking differences. Discrepancies between corresponding enumeration sets, default values, permitted ranges as well as data items unique to one of the dictionaries are reported.

SYNOPSIS
cif_compare_dics --ddl1 cif_core_ddl1.dic --ddlm cif_core_ddlm.dic --options

DESCRIPTION
Checks a pair of DDL1/DDLm dictionaries for compatibility breaking differences. Discrepancies between corresponding enumeration sets, default values, permitted ranges as well as data items unique to one of the dictionaries are reported.

OPTIONS
-1, --ddl1
                  The name of the DDL1 conforming dictionary that should
                  be used in the comparison.

-m, --ddlm
                  The name of the DDLm conforming dictionary that should
                  be used in the comparison.

-I, --add-ddlm-import-path './ddlm/cod/'
                  Prepend an additional directory to the dictionary
                  import path. The dictionary import path specifies
                  a list of directories in which to look for files
                  that are imported by DDLm-compliant CIF dictionaries.
                  Directories provided using this option are assigned
                  the highest priority and are searched prior to
                  the directories listed in the COD_TOOLS_DDLM_IMPORT_PATH
                  environment variable or the default import path
                  (directory of the importing dictionary).

--clear-ddlm-import-path
                  Remove all directories from the dictionary import path
                  that were added using the --add-ddlm-import-path option.
                  Neither COD_TOOLS_DDLM_IMPORT_PATH environment variable
                  nor the default import path is affected by this option.

--legacy-dic-type ddl1
                  The type of the dictionary that should treated as the
                  legacy one. Accepted values: 'ddl1' (default), 'ddlm'.

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

ENVIRONMENT
COD_TOOLS_DDLM_IMPORT_PATH
                  A list of directories in which to look for the
                  DDLm-compliant CIF dictionaries that are imported
                  by other DDLm-compliant CIF dictionaries. List
                  elements are separated by the colon symbol (':').
                  Directories listed in COD_TOOLS_DDLM_IMPORT_PATH
                  have a lower priority than those provided using
                  the command line option (--add-dictionary-import-path),
                  but higher than the default import path directory
                  (directory of the importing dictionary).

REPORTING BUGS
Report cif_compare_dics bugs using e-mail: cod-bugs@ibt.lt